org.apache.fop.render.afp

## Class AFPFontConfig

- java.lang.Object
- - org.apache.fop.render.afp.AFPFontConfig

All Implemented Interfaces:
  FontConfig

    public final class AFPFontConfig
    extends Object
    implements FontConfig

The config object for AFP fonts, these differ from the the more generic fonts (TTF and Type1).

### Nested Class Summary

Nested Classes
`static class` `AFPFontConfig.AFPTrueTypeFont`

### Nested classes/interfaces inherited from interface org.apache.fop.fonts.FontConfig

`FontConfig.FontConfigParser`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<org.apache.fop.render.afp.AFPFontConfig.AFPFontConfigData>` `getFontConfig()` Returns a list of AFP font configuration data.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getFontConfig

    public List<org.apache.fop.render.afp.AFPFontConfig.AFPFontConfigData> getFontConfig()

Returns a list of AFP font configuration data.

Returns:
  the AFP font config data